;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;                                              ;;
;;  Premier Manager 3 Install Script            ;;
;;  Copyright (c) 1994 Gremlin Interactive Ltd. ;;
;;                                              ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

Colours=9,1,10

Language=English
DefaultLanguage=English

Title=PremierManager3

OSVersion=5.00

CPUType=386

BaseMemory=557960

ExtendedMemory=0

ExpandedMemory=1024

ConfigurationFileName=CONFIG.INI

ReadMeFileName=READ.ME

DefaultPath=\PM3

;CDSpeedTest=\DOS4GW.EXE

BootDiskConfig
{
FILES=20
BUFFERS=20,0
REM Remember to insert your CD driver and mouse driver if necessary
}

BootDiskAutoexec
{
@ECHO OFF
PROMPT $P$G
PATH=C:\DOS
C:
REM Remember to insert your CD driver and mouse driver if necessary
}


DefineMenu=Language
{
MenuTitle=LanguageTitle,%Language
MenuItem=SelectEnglish,EnglishHelp,%English
MenuDefault=SelectEnglish
}


DefineInstallation=Standard
{
@Installing
copy %InstallPath%\install.exe
copy %InstallPath%\install.ini
copy %InstallPath%\read.me
copy %InstallPath%\unarj.exe
mkdir saves
copy %InstallPath%\pm3.arj
unarj x pm3.arj
del pm3.arj
#pm3.a01,Disk2
@MessageARJ
copy %InstallPath%\pm3.a01
unarj x pm3.a01
del unarj.exe
del pm3.a01
}

Standard=7000000

DefineMessage=MessageJungle
{
English=
"Coming Soon from Gremlin Interactive... Jungle Strike
Available on PC and compatibles."
}

DefineMessage=MessageARJ
{
English=
"  ARJ and UNARJ are copyright (c) 1990-92 Robert K Jung"
}

DefineMessage=MessageSlipstream
{
English=
"Coming Soon from Gremlin Interactive... Slipstream 5000
Available on PC and compatibles."
}

DefineMessage=MessageFM
{
English=
"          Installing FM specific music data"
Francais=
"          Installing FM specific music data"
Deutsch=
"          Installing FM specific music data"
}

DefineMessage=MessageVoices
{
English=
"        Installing FM specific voice data files"
Francais=
"        Installing FM specific voice data files"
Deutsch=
"        Installing FM specific voice data files"
}

DefineMessage=MessageSwuth
{
English=
"             Installing swuth data files"
Francais=
"             Installing swuth data files"
Deutsch=
"             Installing swuth data files"
}

DefineMessage=MessageData
{
English=
"             Installing general data files"
Francais=
"             Installing general data files"
Deutsch=
"             Installing general data files"
}


DefineMessage=MessageCompData
{
English=
"       Installing compressed data and graphics files"
Francais=
"       Installing compressed data and graphics files"
Deutsch=
"       Installing compressed data and graphics files"
}

DefineMessage=MessageMT32
{
English=
"           Installing MT32 specific music drivers"
Francais=
"           Installing MT32 specific music drivers"
Deutsch=
"           Installing MT32 specific music drivers"
}

DefineMessage=MessageMusic
{
English=
"             Installing music data files"
Francais=
"             Installing music data files"
Deutsch=
"             Installing music data files"
}

DefineMessage=MessagePalette
{
English=
"               Installing palette files"
Francais=
"               Installing palette files"
Deutsch=
"               Installing palette files"
}

DefineMessage=MessageRoland
{
English=
"        Installing Roland specific data files"
Francais=
"        Installing Roland specific data files"
Deutsch=
"        Installing Roland specific data files"
}

DefineMessage=MessageSamples
{
English=
"             Installing audio sample data files"
Francais=
"             Installing audio sample data files"
Deutsch=
"             Installing audio sample data files"
}

DefineMessage=MessageText
{
English=
"               Installing text data files"
Francais=
"               Installing text data files"
Deutsch=
"               Installing text data files"
}

;DefineMenu=Language
;{
;MenuTitle=LanguageTitle,%Language
;MenuItem=SelectEnglish,EnglishHelp,%English
;MenuItem=SelectFrancais,FrancaisHelp,%Francais
;MenuItem=SelectDeutsch,DeutschHelp,%Deutsch
;MenuDefault=SelectEnglish
;}

DefineMenu=Installation
{
MenuTitle=InstallationTitle
MenuItem=StandardInstallation,StandardInstallationHelp,%Standard
MenuDefault=StandardInstallation
}

DefineMenu=MainMenu
{
MenuTitle=MainMenuTitle
MenuItem=ReadMe,ReadMeHelp,$ReadMe
MenuItem=SelectMusicCard,SelectMusicCardHelp,>MusicMenu
;MenuItem=SelectSoundCard,SelectSoundCardHelp,>SoundMenu
;MenuItem=SelectController,SelectControllerHelp,>ControllerMenu
;MenuItem=BootDisk,BootDiskHelp,$BootDisk
;MenuItem=Uninstall,UninstallHelp,$UnInstall
MenuItem=Exit,ExitHelp,$Exit
MenuDefault=ReadMe
}

DefineMenu=MusicMenu
{
MenuTitle=SelectMusicCard,%MusicCard
;MenuItem=GeneralMidi,GeneralMidiMusicHelp,%MIDI,>MidiPortMenu
MenuItem=RolandMT32,RolandMT32Help,%MT32,>RolandPortMenu
MenuItem=SoundCanvas,SoundCanvasMusicHelp,%MIDI,>RolandPortMenu
;MenuItem=SFX3000,SFX3000MusicHelp,%MIDI,>SFX3000MusicPortMenu
;MenuItem=SoundBlaster16,SoundBlaster16MusicHelp,%FM
MenuItem=SoundBlaster,SoundBlasterSoundHelp,%SOUNDBLASTER
MenuItem=Adlib,AdlibMusicHelp,%FM
MenuItem=NoAudio,NoMusicHelp,%NONE
MenuDefault=NoAudio
}

;DefineMenu=SoundMenu
;{
;MenuTitle=SelectSoundCard,%SoundCard
;MenuItem=SFX3000,SFX3000SoundHelp,%MICROSOFT,>SFX3000SoundPortMenu
;MenuItem=SoundBlaster16,SoundBlaster16SoundHelp,%SOUNDBLASTER16,>SB16PortMenu
;MenuItem=SoundBlaster,SoundBlasterSoundHelp,%SOUNDBLASTER,>SBPortMenu
;MenuItem=NoAudio,NoSoundHelp,%NONE
;MenuDefault=NoAudio
;}

;DefineMenu=ControllerMenu
;{
;MenuTitle=SelectController,%Controller
;MenuItem=Keyboard,KeyboardHelp,%Keyboard
;MenuItem=Mouse,MouseHelp,%Mouse
;MenuItem=AnalogJoystick,AnalogJoystickHelp,%AnalogJoystick
;MenuItem=DigitalJoystick,DigitalJoystickHelp,%DigitalJoystick
;MenuDefault=Keyboard
;}

DefineMenu=MidiPortMenu
{
MenuTitle=SelectPortAddress,%MusicPort
MenuItem=Port220,Port220Help,%220
MenuItem=Port230,Port230Help,%230
MenuItem=Port240,Port240Help,%240
MenuItem=Port250,Port250Help,%250
MenuItem=Port300,Port300Help,%300
MenuItem=Port320,Port320Help,%320
MenuItem=Port330,Port330Help,%330
MenuItem=Port332,Port332Help,%332
MenuItem=Port334,Port334Help,%334
MenuItem=Port336,Port336Help,%336
MenuItem=Port340,Port340Help,%340
MenuItem=Port360,Port360Help,%360
MenuDefault=Port330
}

DefineMenu=RolandPortMenu
{
MenuTitle=SelectPortAddress,%MusicPort
MenuItem=Port330,Port330Help,%330
MenuItem=Port332,Port332Help,%332
MenuItem=Port334,Port334Help,%334
MenuItem=Port336,Port336Help,%336
MenuDefault=Port330
}

DefineMenu=SBPortMenu
{
MenuTitle=SelectPortAddress,%SoundPort,>SBIRQMenu
MenuItem=Port220,Port220Help,%220
MenuItem=Port240,Port240Help,%240
MenuDefault=Port220
}

DefineMenu=SBIRQMenu
{
MenuTitle=SelectIRQ,%SoundIRQ,>SBDMAMenu
MenuItem=IRQ2,IRQ2Help,%2
MenuItem=IRQ3,IRQ3Help,%3
MenuItem=IRQ5,IRQ5Help,%5
MenuItem=IRQ7,IRQ7Help,%7
MenuDefault=IRQ7
}

DefineMenu=SBDMAMenu
{
MenuTitle=SelectDMA,%SoundDMA
MenuItem=DMA1,DMA1Help,%1
MenuDefault=DMA1
}

DefineMenu=ConfirmExit
{
MenuTitle=ConfirmExit
MenuItem=Yes,YesHelp
MenuItem=No,NoHelp
MenuDefault=No
}

DefineMenu=SaveChanges
{
MenuTitle=SaveChanges
MenuItem=Yes,YesChangesHelp
MenuItem=No,NoHelp
MenuDefault=Yes
}

DefineMenu=UnInstall
{
MenuTitle=UnInstallStart
MenuItem=Yes,YesUnInstallHelp
MenuItem=No,NoUnInstallHelp
MenuDefault=No
}

;
; Title Message
;

DefineMessage=PremierManager3
{
English="Premier Manager 3 Installation and Setup"
}

DefineMessage=InstallIntroduction
{
English=
"Welcome to Install and Setup. This program will enable you to 
install PREMIER MANAGER 3 to your hard drive and setup your music
card as required."
}

DefineMessage=SetupIntroduction
{
English=
"Welcome to Install and Setup. This program will setup your music
card for PREMIER MANAGER 3."
}

;
; Messages for Language Menu
;

DefineMessage=LanguageTitle
{
English="Select Language"
}

DefineMessage=SelectEnglish
{
English="English"
}

DefineMessage=EnglishHelp
{
English="Select English Language"
}


;
; Messages for Installation Menu
;

DefineMessage=InstallationTitle
{
English="Choose Installation"
}

DefineMessage=StandardInstallation
{
English="Standard Installation 7000000 bytes"
}

DefineMessage=StandardInstallationHelp
{
English="Install the normal installation of PREMIER MANAGER 3"
}

;
; Messages for Main Menu
;

DefineMessage=MainMenuTitle
{
English="Main Menu"
}

DefineMessage=SelectMusicCard
{
English="Select Music Card"
}

DefineMessage=SelectMusicCardHelp
{
English="Choose and setup sound card that will play music"
}

DefineMessage=SelectSoundCard
{
English="Select Sound Effects Card"
}

DefineMessage=SelectSoundCardHelp
{
English="Choose and setup sound card that will play sound effects"
}

DefineMessage=ReadMe
{
English="Read 'READ.ME'"
}

DefineMessage=ReadMeHelp
{
English="Read about any latest changes that may not have made the manual"
}

DefineMessage=BootDisk
{
English="Create Boot Disk"
}

DefineMessage=BootDiskHelp
{
English="Create a bootable floppy disk"
}

DefineMessage=Uninstall
{
English="Uninstall"
}

DefineMessage=UninstallHelp
{
English="Delete PREMIER MANAGER 3 from your hard disk"
}

DefineMessage=Exit
{
English="Exit"
}

DefineMessage=ExitHelp
{
English="Exit Install and Setup"
}

;
; Messages for Music playback and Sound Effects Device
;



DefineMessage=RolandMT32
{
English="Roland MT32"
}

DefineMessage=RolandMT32Help
{
English="Select Roland MT32 or Roland LAPC-I as Music Playback Device"
}

DefineMessage=SoundCanvas
{
English="Sound Canvas"
}

DefineMessage=SoundCanvasMusicHelp
{
English="Select Roland Sound Canvas or Roland SCC-I as Music Playback Device"
}

DefineMessage=SoundBlaster
{
English="Sound Blaster"
}

DefineMessage=SoundBlasterMusicHelp
{
English="Select Sound Blaster or 100% Compatible as Music Playback Device"
}

DefineMessage=SoundBlasterSoundHelp
{
English="Select Sound Blaster or 100% Compatible as Sound Effects Device"
}

DefineMessage=Adlib
{
English="Adlib"
}

DefineMessage=AdlibMusicHelp
{
English="Select Adlib or 100% Compatible as Music Playback Device"
}

DefineMessage=NoAudio
{
English="NONE"
}

DefineMessage=NoMusicHelp
{
English="Dont play any Music"
}

DefineMessage=NoSoundHelp
{
English="Dont play any Sound Effects"
}

;
; Messages for Port Address'
;

DefineMessage=SelectPortAddress
{
English="Select a Port Address"
}

DefineMessage=Port210
{
English="210"
}

DefineMessage=Port210Help
{
English="Set Port Address to 210"
}

DefineMessage=Port220
{
English="220"
}

DefineMessage=Port220Help
{
English="Set Port Address to 220"
}

DefineMessage=Port230
{
English="230"
}

DefineMessage=Port230Help
{
English="Set Port Address to 230"
}

DefineMessage=Port240
{
English="240"
}

DefineMessage=Port240Help
{
English="Set Port Address to 240"
}

DefineMessage=Port250
{
English="250"
}

DefineMessage=Port250Help
{
English="Set Port Address to 250"
}

DefineMessage=Port260
{
English="260"
}

DefineMessage=Port260Help
{
English="Set Port Address to 260"
}

DefineMessage=Port280
{
English="280"
}

DefineMessage=Port280Help
{
English="Set Port Address to 280"
}

DefineMessage=Port300
{
English="300"
}

DefineMessage=Port300Help
{
English="Set Port Address to 300"
}

DefineMessage=Port320
{
English="320"
}

DefineMessage=Port320Help
{
English="Set Port Address to 320"
}

DefineMessage=Port330
{
English="330"
}

DefineMessage=Port330Help
{
English="Set Port Address to 330"
}

DefineMessage=Port332
{
English="332"
}

DefineMessage=Port332Help
{
English="Set Port Address to 332"
}

DefineMessage=Port334
{
English="334"
}

DefineMessage=Port334Help
{
English="Set Port Address to 334"
}

DefineMessage=Port336
{
English="336"
}

DefineMessage=Port336Help
{
English="Set Port Address to 336"
}

DefineMessage=Port340
{
English="340"
}

DefineMessage=Port340Help
{
English="Set Port Address to 340"
}

DefineMessage=Port360
{
English="360"
}

DefineMessage=Port360Help
{
English="Set Port Address to 360"
}

DefineMessage=Port530
{
English="530"
}

DefineMessage=Port530Help
{
English="Set Port Address to 530"
}

DefineMessage=Port220/620
{
English="220 (620)"
}

DefineMessage=Port220/620Help
{
English="Set Port Address to 220 (620)"
}

DefineMessage=Port240/640
{
English="240 (640)"
}

DefineMessage=Port240/640Help
{
English="Set Port Address to 240 (640)"
}

DefineMessage=Port260/660
{
English="260 (660)"
}

DefineMessage=Port260/660Help
{
English="Set Port Address to 260 (660)"
}

DefineMessage=Port280/680
{
English="280 (680)"
}

DefineMessage=Port280/680Help
{
English="Set Port Address to 280 (680)"
}

;
; Messages for IRQ Values
;

DefineMessage=SelectIRQ
{
English="Select an IRQ"
}

DefineMessage=IRQ2
{
English="2"
}

DefineMessage=IRQ2Help
{
English="Set Interrupt to 2"
}

DefineMessage=IRQ3
{
English="3"
}

DefineMessage=IRQ3Help
{
English="Set Interrupt to 3"
}

DefineMessage=IRQ5
{
English="5"
}

DefineMessage=IRQ5Help
{
English="Set Interrupt to 5"
}

DefineMessage=IRQ7
{
English="7"
}

DefineMessage=IRQ7Help
{
English="Set Interrupt to 7"
}

DefineMessage=IRQ10
{
English="10"
}

DefineMessage=IRQ10Help
{
English="Set Interrupt to 10"
}

DefineMessage=IRQ11
{
English="11"
}

DefineMessage=IRQ11Help
{
English="Set Interrupt to 11"
}

DefineMessage=IRQ12
{
English="12"
}

DefineMessage=IRQ12Help
{
English="Set Interrupt to 12"
}

DefineMessage=IRQ15
{
English="15"
}

DefineMessage=IRQ15Help
{
English="Set Interrupt to 15"
}

;
; Messages for DMA Channel
;

DefineMessage=SelectDMA
{
English="Select a DMA Channel"
}

DefineMessage=DMA0
{
English="0"
}

DefineMessage=DMA0Help
{
English="Set DMA Channel to 0"
}

DefineMessage=DMA1
{
English="1"
}

DefineMessage=DMA1Help
{
English="Set DMA Channel to 1"
}

DefineMessage=DMA3
{
English="3"
}

DefineMessage=DMA3Help
{
English="Set DMA Channel to 3"
}

DefineMessage=DMA5
{
English="5"
}

DefineMessage=DMA5Help
{
English="Set DMA Channel to 5"
}

DefineMessage=DMA6
{
English="6"
}

DefineMessage=DMA6Help
{
English="Set DMA Channel to 6"
}

DefineMessage=DMA7
{
English="7"
}

DefineMessage=DMA7Help
{
English="Set DMA Channel to 7"
}

;
; Error Messages.
;

DefineMessage=OSVersion
{
English=
"PREMIER MANAGER 3 does not support the DOS version you are currently
running. You will need to obtain DOS 5.0 or above."
}

DefineMessage=CPUType
{
English=
"PREMIER MANAGER 3 needs at least a 386 processor to run."
}

;
; Warning messages.
;

DefineMessage=BaseMemory
{
English=
"You do not have enough base memory to run PREMIER MANAGER 3. Try 
removing any unecessary device drivers or TSRs from your CONFIG.SYS 
and AUTOEXEC.BAT files. If you have DOS version 6.0 or above then you
could try running MEMMAKER from the DOS Prompt, alternatively 
create a boot disk."
}

DefineMessage=ExtendedMemory
{
English=
"You should never get this message, as PREMIER MANAGER 3 does not need any
EXPANDED memory to run. Contact the GREMLIN INTERACTIVE HELP LINE
and tell them what has happened. The address and telephone number are
on the back of the box."
}

DefineMessage=ExpandedMemory
{
English=
"PREMIER MANAGER 3 needs at least 1024K of EXPANDED memory to run, at
present your system does not have enough free. The easiest solution
to this problem is to choose 'Create Boot Disk' from the main menu."
}

DefineMessage=InvalidPath
{
English=
"The path you have specified is either invalid or already exists,
please choose another. If the directory you have chosen is a previous
installation of PREMIER MANAGER 3, run Install and Setup from that
directory to change the configuration."
}

DefineMessage=DiskSpace
{
English=
"The drive you have selected does not have enough disk space
to install PREMIER MANAGER 3, select another or quit to DOS and free
some space."
}

;
; Flow control messages
;

DefineMessage=PressAKey
{
English="Press a key or click mouse to continue"
}

DefineMessage=ConfirmExit
{
English="Exit Install and Setup"
}

DefineMessage=SaveChanges
{
English="Save configuration"
}

DefineMessage=UnInstallStart
{
English="Delete PREMIER MANAGER 3"
}

DefineMessage=Yes
{
English="Yes"
}

DefineMessage=YesChangesHelp
{
English="Save any changes to configuration and Exit to DOS"
}

DefineMessage=YesHelp
{
English="Quit to DOS"
}

DefineMessage=No
{
English="No"
}

DefineMessage=NoHelp
{
English="Continue Install and Setup"
}

DefineMessage=NoUnInstallHelp
{
English="Return to Main Menu"
}

DefineMessage=YesUnInstallHelp
{
English="Delete PREMIER MANAGER 3 from hard disk"
}

;
; Installation Messages
;

DefineMessage=EnterDrive
{
English="Select Drive"
}

DefineMessage=EnterDriveHelp
{
English="Choose the drive you wish to install PREMIER MANAGER 3 to"
}

DefineMessage=EnterPath
{
English="Enter Installation path"
}

DefineMessage=EnterPathHelp
{
English=
"Type in the name of the directory you wish to install PREMIER MANAGER 3 to"
}

DefineMessage=InstallationStart
{
English=
"Install and Setup will now copy the necessary files to the drive
and path that you have selected."
}

DefineMessage=InstallationOver
{
English="PREMIER MANAGER 3 has successfully installed on to your hard disk."
}

DefineMessage=Installing
{
English=
"PREMIER MANAGER 3 is now being installed to your hard disk."
}

DefineMessage=Disk2
{
English="Please insert the disk marked PREMIER MANAGER 3 DISK TWO."
}


;
; UnInstallation Messages
;

DefineMessage=UnInstallFinished
{
English=
"PREMIER MANAGER 3 has been deleted and Install and Setup will now
quit to DOS."
}

DefineMessage=UnInstalling
{
English="Deleting PREMIER MANAGER 3..."
}

;
; Create boot disk messages
;

DefineMessage=BootDiskStart
{
English=
"Install and Setup will now create a boot disk for PREMIER MANAGER 3.
Insert a blank floppy disk in your boot drive."
}

DefineMessage=CreatingBootDisk
{
English="Creating PREMIER MANAGER 3 boot disk, please wait..."
}

DefineMessage=BootDiskSuccess
{
English="Your PREMIER MANAGER 3 boot disk is now ready to use."
}

DefineMessage=BootDiskFailure
{
English=
"There was an error whilst creating the boot disk. Check that the
disk is not write protected or try another disk."
}
